Name:          sitemap-generator
Version:       1.4
Release:       3mamba
Summary:       Sitemap Generator
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://goog-sitemapgen.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/goog-sitemapgen/sitemap_gen-%{version}.tar.gz
License:       BSD
Provides:      python-sitemapgen
Obsoletes:     python-sitemapgen
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A python script which will generate an xml Sitemap for your web site.

%prep
%setup -q -n sitemap_gen-%{version}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m755 sitemap_gen.py %{buildroot}%{_bindir}/sitemap_gen.py
install -D -m755 test_sitemap_gen.py %{buildroot}%{_bindir}/test_sitemap_gen.py
install -D -m644 example_config.xml %{buildroot}%{_datadir}/%{name}/example_config.xml
install -D -m644 example_urllist.txt %{buildroot}%{_datadir}/%{name}/example_urllist.txt

%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}/*
%{python_sitearch}/sitemap_gen-%{version}-py%{python_version}.egg-info
%doc README AUTHORS COPYING

%changelog
* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 1.4-3mamba
- automatic rebuild by autodist

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-2mamba
- rebuilt with python 2.6

* Wed Aug 30 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1qilnx
- package created by autospec
